MapMouseInterpreter (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.event
Interface MapMouseInterpreter

All Superinterfaces:
  MapMouseListener

All Known Subinterfaces:
  EditorTool

All Known Implementing Classes:
  AbstractEditorTool, DBLClickSelectMapMouseInterpreter, DrawingEditorTool, StandardMapMouseInterpreter

    public interface MapMouseInterpreter

extends MapMouseListener

A MapMouseInterpreter is an extension of the MapMouseListener that has some understanding how MouseEvents on a Map relate to an OMGraphicList, and what kind of actions should be taken on the OMGraphics on a list. This interface describes specific actions being taken on OMGraphics over a map, and the implementing class can then take this information to make more abstract calls on its GestureResponsePolicy.

Method Summary
`java.awt.event.MouseEvent` | `getCurrentMouseEvent()` A method for the GestureResponsePolicy to find out what the last MouseEvent was, in case it needs it to react to the GRP notifications.
`GestureResponsePolicy` | `getGRP()` Get the GestureResponsePolicy to notify when MouseEvents have been interpreted.
`boolean` | `isActive()` Check whether the MapMouseInterpreter is responding to events.
`boolean` | `leftClick(java.awt.event.MouseEvent me)` Notification that the background was left-clicked upon.
`boolean` | `leftClick(OMGraphic omg, java.awt.event.MouseEvent me)` Notification that a particular OMGraphic was left-clicked upon.
`boolean` | `leftClickOff(OMGraphic omg, java.awt.event.MouseEvent me)` Notification that a particular OMGraphic, previously left-clicked upon, has been un-clicked.
`boolean` | `mouseNotOver(OMGraphic omg)` Notification that the mouse has moved off of an OMGraphic it was previously over.
`boolean` | `mouseOver(java.awt.event.MouseEvent me)` Notification that the mouse is being moved over the map at a certain location, and is not over any OMGraphics.
`boolean` | `mouseOver(OMGraphic omg, java.awt.event.MouseEvent me)` Notification that the mouse is over a particluar OMGraphic.
`boolean` | `rightClick(java.awt.event.MouseEvent me)` Notification that the background was right-clicked upon.
`boolean` | `rightClick(OMGraphic omg, java.awt.event.MouseEvent me)` Notification that a particular OMGraphic was right-clicked upon.
`boolean` | `rightClickOff(OMGraphic omg, java.awt.event.MouseEvent me)` Notification that a particular OMGraphic, previously right-clicked upon, has been un-clicked.
`void` | `setActive(boolean active)` Set whether the MapMouseInterpreter responds to mouse events.
`void` | `setGRP(GestureResponsePolicy urp)` Set the GestureResponsePolicy to notify when MouseEvents have been interpreted.

Methods inherited from interface com.bbn.openmap.event.MapMouseListener
`getMouseModeServiceList, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mouseMoved, mousePressed, mouseReleased`

Method Detail

### getCurrentMouseEvent

    java.awt.event.MouseEvent getCurrentMouseEvent()

  A method for the GestureResponsePolicy to find out what the last MouseEvent was, in case it needs it to react to the GRP notifications.

### leftClick

    boolean leftClick(java.awt.event.MouseEvent me)

  Notification that the background was left-clicked upon.

### leftClick

    boolean leftClick(OMGraphic omg,
                      java.awt.event.MouseEvent me)

  Notification that a particular OMGraphic was left-clicked upon.

### leftClickOff

    boolean leftClickOff(OMGraphic omg,
                         java.awt.event.MouseEvent me)

  Notification that a particular OMGraphic, previously left-clicked upon, has been un-clicked. Most likely due to the user clicking on another OMGraphic, using a different mouse button to click on this same OMGraphic, or when the background map was clicked upon.

### rightClick

    boolean rightClick(java.awt.event.MouseEvent me)

  Notification that the background was right-clicked upon.

### rightClick

    boolean rightClick(OMGraphic omg,
                       java.awt.event.MouseEvent me)

  Notification that a particular OMGraphic was right-clicked upon.

### rightClickOff

    boolean rightClickOff(OMGraphic omg,
                          java.awt.event.MouseEvent me)

  Notification that a particular OMGraphic, previously right-clicked upon, has been un-clicked. Most likely due to the user clicking on another OMGraphic, using a different mouse button to click on this same OMGraphic, or when the background map was clicked upon.

### mouseOver

    boolean mouseOver(java.awt.event.MouseEvent me)

  Notification that the mouse is being moved over the map at a certain location, and is not over any OMGraphics.

### mouseOver

    boolean mouseOver(OMGraphic omg,
                      java.awt.event.MouseEvent me)

  Notification that the mouse is over a particluar OMGraphic.

### mouseNotOver

    boolean mouseNotOver(OMGraphic omg)

  Notification that the mouse has moved off of an OMGraphic it was previously over.

### setGRP

    void setGRP(GestureResponsePolicy urp)

  Set the GestureResponsePolicy to notify when MouseEvents have been interpreted.

### getGRP

    GestureResponsePolicy getGRP()

  Get the GestureResponsePolicy to notify when MouseEvents have been interpreted.

### isActive

    boolean isActive()

  Check whether the MapMouseInterpreter is responding to events.

  Returns:
    true if willing to respond to MouseEvents.

### setActive

    void setActive(boolean active)

  Set whether the MapMouseInterpreter responds to mouse events.

  Parameters:
    `active` - true if it should respond to mouse events.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details